summaryrefslogtreecommitdiffstats
path: root/sca-cpp/trunk/components/kvdb/kvdb-test
diff options
context:
space:
mode:
authorrfeng <rfeng@13f79535-47bb-0310-9956-ffa450edef68>2011-09-17 17:44:55 +0000
committerrfeng <rfeng@13f79535-47bb-0310-9956-ffa450edef68>2011-09-17 17:44:55 +0000
commite2a1e0c4a5c4c3328e2833c176212d8e1406af4c (patch)
treed7b02fa2c3925e96de03ba49dac5be75c98cb94b /sca-cpp/trunk/components/kvdb/kvdb-test
parentd86305f890dcbb2ac296c0794228f2d2140cdd19 (diff)
Start to add LevelDB support
git-svn-id: http://svn.us.apache.org/repos/asf/tuscany@1172029 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'sca-cpp/trunk/components/kvdb/kvdb-test')
-rwxr-xr-xsca-cpp/trunk/components/kvdb/kvdb-test29
1 files changed, 29 insertions, 0 deletions
diff --git a/sca-cpp/trunk/components/kvdb/kvdb-test b/sca-cpp/trunk/components/kvdb/kvdb-test
new file mode 100755
index 0000000000..3730ed67a4
--- /dev/null
+++ b/sca-cpp/trunk/components/kvdb/kvdb-test
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+# Setup
+mkdir -p tmp
+./tinycdb -c -m tmp/test.cdb </dev/null
+
+# Test
+./tinycdb-test 2>/dev/null
+rc=$?
+
+# Cleanup
+exit $rc